Debian Bug report logs - #610961
xrdp doesn't support non-US keyboards

version graph

Package: xrdp; Maintainer for xrdp is Vincent Bernat <bernat@debian.org>; Source for xrdp is src:xrdp.

Reported by: SASAJIMA <sasajima_t@jp.fujitsu.com>

Date: Mon, 24 Jan 2011 12:48:01 UTC

Severity: normal

Tags: patch, sid, squeeze, wheezy

Found in version xrdp/0.5.0~20100303cvs-6

Fixed in version xrdp/0.5.0-1

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#610961; Package xrdp. (Mon, 24 Jan 2011 12:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to SASAJIMA <sasajima_t@jp.fujitsu.com>:
New Bug report received and forwarded. Copy sent to Vincent Bernat <bernat@debian.org>. (Mon, 24 Jan 2011 12:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: SASAJIMA <sasajima_t@jp.fujitsu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xrdp doesn't support non-US keyboards
Date: Mon, 24 Jan 2011 21:37:50 +0900
[Message part 1 (text/plain, inline)]
Package: xrdp
Version: 0.5.0~20100303cvs-6
Severity: normal
Tags: squeeze sid patch

I installed xrdp server on Debian, and set keymap file by xrdp-genkeymap.
I logged on Debian by RDP from different 2 clients.

   * rdesktop on Debian sid (LANG=ja_JP.eucJP) with JP106 keyboard.
   * Remote Desktop Client on WinXP (Japanese) with JP106 keyboard.

I couldn't input "\" (Keycode 132).

xrdp treats key scan code as 7bits. but sometimes it is over 7bits with non-US
keyboard.



-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-vserver-amd64 (SMP w/1 CPU core)
Locale: LANG=ja_JP.eucjp, LC_CTYPE=ja_JP.eucjp (charmap=EUC-JP)
Shell: /bin/sh linked to /bin/dash

Versions of packages xrdp depends on:
ii  adduser                       3.112+nmu2 add and remove users and groups
ii  libc6                         2.11.2-9   Embedded GNU C Library: Shared lib
ii  libpam0g                      1.1.1-6.1  Pluggable Authentication Modules l
ii  libssl0.9.8                   0.9.8o-4   SSL shared libraries
ii  libx11-6                      2:1.3.3-4  X11 client-side library
ii  libxfixes3                    1:4.0.5-1  X11 miscellaneous 'fixes' extensio

Versions of packages xrdp recommends:
ii  vnc4server [vnc-server]  4.1.1+X4.3.0-37 Virtual network computing server s

xrdp suggests no packages.

-- no debconf information
[debian-changes-0.5.0~20100303cvs-6 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#610961; Package xrdp. (Mon, 24 Jan 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Mon, 24 Jan 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 610961@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: SASAJIMA <sasajima_t@jp.fujitsu.com>
Cc: 610961@bugs.debian.org
Subject: Re: Bug#610961: xrdp doesn't support non-US keyboards
Date: Mon, 24 Jan 2011 19:40:18 +0100
[Message part 1 (text/plain, inline)]
OoO Peu  avant le début de  l'après-midi du lundi 24  janvier 2011, vers
13:37, SASAJIMA <sasajima_t@jp.fujitsu.com> disait :

> I installed xrdp server on Debian, and set keymap file by xrdp-genkeymap.
> I logged on Debian by RDP from different 2 clients.

>    * rdesktop on Debian sid (LANG=ja_JP.eucJP) with JP106 keyboard.
>    * Remote Desktop Client on WinXP (Japanese) with JP106 keyboard.

> I couldn't input "\" (Keycode 132).

> xrdp treats key scan code as 7bits. but sometimes it is over 7bits with non-US
> keyboard.

Hi!

Thanks for your patch. Upstream even bumped the keycode limit to 256.
-- 
BOFH excuse #253:
We've run out of licenses
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:05:02 GMT) Full text and rfc822 format available.

Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. (Sun, 18 Sep 2011 19:19:39 GMT) Full text and rfc822 format available.

Notification sent to SASAJIMA <sasajima_t@jp.fujitsu.com>:
Bug acknowledged by developer. (Sun, 18 Sep 2011 19:19:40 GMT) Full text and rfc822 format available.

Message #17 received at 610961-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 610961-close@bugs.debian.org
Subject: Bug#610961: fixed in xrdp 0.5.0-1
Date: Sun, 18 Sep 2011 19:18:07 +0000
Source: xrdp
Source-Version: 0.5.0-1

We believe that the bug you reported is fixed in the latest version of
xrdp, which is due to be installed in the Debian FTP archive:

xrdp_0.5.0-1.debian.tar.gz
  to main/x/xrdp/xrdp_0.5.0-1.debian.tar.gz
xrdp_0.5.0-1.dsc
  to main/x/xrdp/xrdp_0.5.0-1.dsc
xrdp_0.5.0-1_amd64.deb
  to main/x/xrdp/xrdp_0.5.0-1_amd64.deb
xrdp_0.5.0.orig.tar.gz
  to main/x/xrdp/xrdp_0.5.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610961@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated xrdp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Sep 2011 20:38:04 +0200
Source: xrdp
Binary: xrdp
Architecture: source amd64
Version: 0.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Vincent Bernat <bernat@debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 xrdp       - Remote Desktop Protocol (RDP) server
Closes: 610961 615803
Changes: 
 xrdp (0.5.0-1) unstable; urgency=low
 .
   * New upstream version.
      + This version also happens to fix linking problems. Closes: #615803.
   * Support for some non-US keyboards whose keycodes may be greater than
     128 with a patch from Sasajima. Closes: #610961.
Checksums-Sha1: 
 3181a4a1866beb2108e70edc5ed5a376475e69e8 1209 xrdp_0.5.0-1.dsc
 7fe3a2fa1cfc68d128a75d204723074ed9ab3977 311756 xrdp_0.5.0.orig.tar.gz
 4723bc73a63ce80dabe78e540b74f442e274fba3 11536 xrdp_0.5.0-1.debian.tar.gz
 e12d4f8630593e277db0f687d29ff8a2244272c9 270290 xrdp_0.5.0-1_amd64.deb
Checksums-Sha256: 
 4697c3e6ea6acdb3153a0c3a44eab42ce56eb23d640e86f6f670afaa6b430a06 1209 xrdp_0.5.0-1.dsc
 5167c23b67605f05be42e99735b08fd06a5813f3e5f225274b33e89adf12ff9c 311756 xrdp_0.5.0.orig.tar.gz
 86606f25306ffecf52bf64c6c45b9ad7c4a27530363064a753858241ebef6f39 11536 xrdp_0.5.0-1.debian.tar.gz
 895f97f7a73c105f7f77fe4499403aa33a5633e7a368c47c68cea17f16b5d2b9 270290 xrdp_0.5.0-1_amd64.deb
Files: 
 b2a2992bdffe7c742a8315beac6ae32d 1209 net optional xrdp_0.5.0-1.dsc
 995dfe4bce30d472ef18d701c4109993 311756 net optional xrdp_0.5.0.orig.tar.gz
 b87b495f1ff017a458b76d24ff7ae629 11536 net optional xrdp_0.5.0-1.debian.tar.gz
 8474be1571170475a942d448275a8b09 270290 net optional xrdp_0.5.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk52P5YACgkQKFvXofIqeU5/pACgkiifn8aNzgAbbc6a3YvlnsgK
uzwAnjoyMGuanS9kTzcCdWhBhbV1BbGy
=F5eV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Oct 2011 07:40:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:52:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.